#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"ポケットモンスター ☆探究部☆"
puts"起動中..."
sleep(1)

puts"何をしますか?"
puts"1:ポケもそ図鑑"
puts"2:検索"
puts"3:プログラムの終了"
sentaku = gets.to_i

  if sentaku == 1
    puts"665 てるぼー\n666 てるやー"
    puts"何を開きますか?"
    puts"#"
    kotae = gets.to_i
    if kotae == 665
      puts"【665 てるぼー】\nソヴィエトポケモソ\nこおり・あく\n特性:どくさい\n敵味方の状態変化を独占できる\n〰技〰\n冷凍パンチ\nかまとつち\nふるいたてる\nふいうち\n〰個体値〰\nH80\nA75\nB60\nC20\nD35\nS30\n〰説明〰\nまだ成長途中の状態、ソヴィエトの誇りを持って敵に挑む。まだ助かる可能性があった。"
    end
    if kotae = gets.to_i
      puts"【666 てるやー】\nひめみつぎポケモソ\nフェアリー・あく\n特性:ヒメに貢ぐ\nフィールドに♀ポケモソがいたらランダムに♀ポケモソの能力を2段階向上させる\n〰技〰\nふいうち\nあまえる\nじゃれつく\nヒメだもん\n(ヒメだもん:フェアリー威力10命中率85こんらん30)\n〰個体値〰\nH85\nB70\nC35\nD85\nS85\n〰説明〰\nくるいにくるってしまった。これを止めようと何人も動いたが意味はなかった。"
    end
  end
if sentaku == 2
    print"検索パターン"
    pattern = STDIN.gets.chomp!
    regexp = Regexp.new(pattern,nil)
    
  while line = gets
  if regexp =~ line
    print line
  end
  end

if sentaku == 3
  puts"プログラムを終了します"
  sleep(2)
  break

elsif
  puts"その選択肢は無いよ!"
  redo
end
end
end
